Firewall
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getFirewallSetting | GET | Get firewall setting |
| modifyFirewallSetting | PATCH | Modify firewall setting |
| resetFirewallSetting | PATCH | Reset firewall setting |
| getDefaultFirewallConfig | GET | Get firewall default setting |
getFirewallSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/firewall
Get firewall setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getFirewallSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get firewall setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyFirewallSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/firewall
Modify firewall setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema FirewallSetting
| Field | Type | Required | Description |
|---|---|---|---|
icmp | integer | yes | ICMP should be within the range of 1–2097151. |
other | integer | yes | Other should be within the range of 1–2097151. |
tcpClose | integer | yes | TCP close should be within the range of 1–2097151. |
tcpCloseWait | integer | yes | TCP close wait should be within the range of 1–2097151. |
tcpEstablished | integer | yes | TCP established should be within the range of 1–2097151. |
tcpFinWait | integer | yes | TCP FIN wait should be within the range of 1–2097151. |
tcpLastAck | integer | yes | TCP last ACK should be within the range of 1–2097151. |
tcpSynReceive | integer | yes | TCP SYN receive should be within the range of 1–2097151. |
tcpSynSent | integer | yes | TCP SYN sent should be within the range of 1–2097151. |
tcpTimeWait | integer | yes | TCP time wait should be within the range of 1–2097151. |
udpOther | integer | yes | UDP other should be within the range of 1–2097151. |
udpStream | integer | yes | UDP stream should be within the range of 1–2097151. |
broadcastPing | boolean | yes | Broadcast ping of the firewall setting. |
receiveRedirects | boolean | yes | Receive redirects of the firewall setting. |
sendRedirects | boolean | yes | Send redirects of the firewall setting. |
synCookies | boolean | yes | SYN Cookies of the firewall setting. |
// omada_call_operation
{
"operationId": "modifyFirewallSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify firewall setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
resetFirewallSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/firewall/reset
Reset firewall setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "resetFirewallSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Reset firewall setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getDefaultFirewallConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/firewall/timeout/default
Get firewall default setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getDefaultFirewallConfig",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get firewall default setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only